Index: lib/style/skins/sanparks/searchTPCWorkflow.jsp
===================================================================
--- lib/style/skins/sanparks/searchTPCWorkflow.jsp	(revision 4965)
+++ lib/style/skins/sanparks/searchTPCWorkflow.jsp	(nonexistent)
@@ -1,51 +0,0 @@
-<%@ page    language="java" %>
-<%
-/*
-*  '$RCSfile$'
-*    Copyright: 2009 Regents of the University of California and the
-*               National Center for Ecological Analysis and Synthesis
-*
-*   '$Author: daigle $'
-*     '$Date: 2008-07-06 21:25:34 -0700 (Sun, 06 Jul 2008) $'
-* '$Revision: 4080 $'
-*
-* This program is free software; you can redistribute it and/or modify
-* it under the terms of the GNU General Public License as published by
-* the Free Software Foundation; either version 2 of the License, or
-* (at your option) any later version.
-*
-* This program is distributed in the hope that it will be useful,
-* but WITHOUT ANY WARRANTY; without even the implied warranty of
-* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-* GNU General Public License for more details.
-*
-* You should have received a copy of the GNU General Public License
-* along with this program; if not, write to the Free Software
-* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-*/
-%>
-<%@ include file="settings.jsp"%>
-
-<html>
-    <head>
-        <title>Sanparks TPC Report Search</title>
-        <link rel="stylesheet" type="text/css" href="<%=STYLE_SKINS_URL%>/sanparks/sanparks.css"/>
-        <link rel="stylesheet" type="text/css" href="<%=STYLE_SKINS_URL%>/sanparks/sanparks-tpc.css"/>
-        <link rel="stylesheet" type="text/css" href="<%=STYLE_SKINS_URL%>/sanparks/header2.css"/>
-        <link rel="stylesheet" type="text/css" href="<%=STYLE_SKINS_URL%>/sanparks/left-nav2.css"/>
-        <link rel="stylesheet" type="text/css" href="<%=STYLE_SKINS_URL%>/sanparks/footer2.css"/>
-        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_SKINS_URL%>/sanparks/sanparks.js"></script>
-        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/style/skins/sanparks/searchWorkflowPathQuery.js"></script>
-        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/branding.js"></script>
-    </head>
-    <body class="main-section">
-        <jsp:include page="header2.jsp"/>
-        
-        <!-- Main content -->
-        <jsp:include page="left-nav2.jsp"/>
-        <jsp:include page="../../common/searchTPCWorkflowSection.jsp" />
-        
-        <!-- Footer Content -->
-        <jsp:include page="footer2.jsp" />
-    </body>
-</html>
Index: lib/style/skins/sanparks/searchTPCWorkflowRun.jsp
===================================================================
--- lib/style/skins/sanparks/searchTPCWorkflowRun.jsp	(revision 4965)
+++ lib/style/skins/sanparks/searchTPCWorkflowRun.jsp	(nonexistent)
@@ -1,51 +0,0 @@
-<%@ page    language="java" %>
-<%
-/*
-*  '$RCSfile$'
-*    Copyright: 2009 Regents of the University of California and the
-*               National Center for Ecological Analysis and Synthesis
-*
-*   '$Author: daigle $'
-*     '$Date: 2008-07-06 21:25:34 -0700 (Sun, 06 Jul 2008) $'
-* '$Revision: 4080 $'
-*
-* This program is free software; you can redistribute it and/or modify
-* it under the terms of the GNU General Public License as published by
-* the Free Software Foundation; either version 2 of the License, or
-* (at your option) any later version.
-*
-* This program is distributed in the hope that it will be useful,
-* but WITHOUT ANY WARRANTY; without even the implied warranty of
-* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-* GNU General Public License for more details.
-*
-* You should have received a copy of the GNU General Public License
-* along with this program; if not, write to the Free Software
-* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-*/
-%>
-<%@ include file="settings.jsp"%>
-
-<html>
-    <head>
-        <title>Sanparks TPC Report Search</title>
-        <link rel="stylesheet" type="text/css" href="<%=STYLE_SKINS_URL%>/sanparks/sanparks.css"/>
-        <link rel="stylesheet" type="text/css" href="<%=STYLE_SKINS_URL%>/sanparks/sanparks-tpc.css"/>
-        <link rel="stylesheet" type="text/css" href="<%=STYLE_SKINS_URL%>/sanparks/header2.css"/>
-        <link rel="stylesheet" type="text/css" href="<%=STYLE_SKINS_URL%>/sanparks/left-nav2.css"/>
-        <link rel="stylesheet" type="text/css" href="<%=STYLE_SKINS_URL%>/sanparks/footer2.css"/>
-        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_SKINS_URL%>/sanparks/sanparks.js"></script>
-        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/style/skins/sanparks/searchWorkflowPathQuery.js"></script>
-        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/branding.js"></script>
-    </head>
-    <body class="main-section">
-        <jsp:include page="header2.jsp"/>
-        
-        <!-- Main content -->
-        <jsp:include page="left-nav2.jsp"/>
-        <jsp:include page="../../common/searchTPCWorkflowRunSection.jsp" />
-        
-        <!-- Footer Content -->
-        <jsp:include page="footer2.jsp" />
-    </body>
-</html>
Index: lib/style/common/searchTPCWorkflowSection.jsp
===================================================================
--- lib/style/common/searchTPCWorkflowSection.jsp	(revision 4965)
+++ lib/style/common/searchTPCWorkflowSection.jsp	(nonexistent)
@@ -1,70 +0,0 @@
-<%@ page    language="java" %>
-<%
-/*
-*  '$RCSfile$'
-*    Copyright: 2009 Regents of the University of California and the
-*               National Center for Ecological Analysis and Synthesis
-*
-*   '$Author: daigle $'
-*     '$Date: 2008-07-06 21:25:34 -0700 (Sun, 06 Jul 2008) $'
-* '$Revision: 4080 $'
-*
-* This program is free software; you can redistribute it and/or modify
-* it under the terms of the GNU General Public License as published by
-* the Free Software Foundation; either version 2 of the License, or
-* (at your option) any later version.
-*
-* This program is distributed in the hope that it will be useful,
-* but WITHOUT ANY WARRANTY; without even the implied warranty of
-* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-* GNU General Public License for more details.
-*
-* You should have received a copy of the GNU General Public License
-* along with this program; if not, write to the Free Software
-* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-*/
-%>
-<%@ include file="common-settings.jsp"%>
-<%@ include file="configure-check.jsp"%>
-
-<html>
-    <head>
-        <title>TPC Report Search Section</title>
-        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/widgets/simple-calendar-widgit.js"></script>
-        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/widgets/form-fields-widget.js"></script>
-        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/prototype-1.5.1.1/prototype.js"></script>
-        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/searchWorkflow.js"></script>   
-    </head>
-    <body onload="setWorkflowQueryFormField('tpcSearch');getResultsSection('<%=SERVLET_URL%>','tpcSearch','workflow-search-results')">
-    	<div class=content-section>    
-    		<div class="content-subsection search-section" id="search-section">   
-        		<form name="tpcSearch" id="tpcSearch">
-        			<input name="query" id="query" type="hidden" />
-					<input name="qformat" value="tpc-result" type="hidden" />
-					<!-- input name="qformat" value="xml" type="hidden" / -->
-					<input name="action" value="squery" type="hidden" />  
-           			<input name="keyword" id="sf-metadata-type1000" value="urn:lsid:localhost:onto:3:1#tpc-workflow" type="hidden">
-           			<input name="metadata-type-searchmode" id="sm-metadata-type1000" value="equals" type="hidden">
-           			<div class="search-section-text">Search</div>			
-					<div class="form-base-row" id="form-base-row">
-						<div class="field-label dropdown-field-label" id='field-selector-section' >Add search term</div>
-						<select class="dropdown-input" name="dd-field-selector" id="dd-field-selector">
-							<option value="name" onclick="addSearchDropdownBefore('tpcSearch','Name','name','co|eq|sw|ew','form-base-row')">Name</option>
-							<option value="keyword" onclick="addSearchDropdownBefore('tpcSearch','Keyword','keyword','co|eq|sw|ew','form-base-row')">Keyword</option>
-							<option values="creator" onclick="addSearchDropdownBefore('tpcSearch','Creator','creator','co|eq|sw|ew','form-base-row')">Creator</option>
-							<option values="description" onclick="addSearchDropdownBefore('tpcSearch','Description','description','co|eq|sw|ew','form-base-row')">Description</option>
-							<option values="date-created" onclick="addSearchDropdownBefore('tpcSearch','Date Created','date-created','be|af','form-base-row')">Date Created</option>
-							<option values="workflow-id" onclick="addSearchDropdownBefore('tpcSearch','Workflow-id','workflow-id','co|eq|sw|ew','form-base-row')">Workflow ID</option>
-						</select>    
-        		
-        				<input class="submit-button" value="Search" type="button" onclick="setWorkflowQueryFormField('tpcSearch');getResultsSection('<%=SERVLET_URL%>','tpcSearch','workflow-search-results')">
-        			</div> 
-        		</form>
-			</div>
-        	
-        	<div class="content-subsection" id="workflow-search-results">
-        	</div>
-    		
-        </div>
-    </body>
-</html>
Index: lib/style/common/searchTPCWorkflowRunSection.jsp
===================================================================
--- lib/style/common/searchTPCWorkflowRunSection.jsp	(revision 4965)
+++ lib/style/common/searchTPCWorkflowRunSection.jsp	(nonexistent)
@@ -1,79 +0,0 @@
-<%@ page    language="java" %>
-<%
-/*
-*  '$RCSfile$'
-*    Copyright: 2009 Regents of the University of California and the
-*               National Center for Ecological Analysis and Synthesis
-*
-*   '$Author: daigle $'
-*     '$Date: 2008-07-06 21:25:34 -0700 (Sun, 06 Jul 2008) $'
-* '$Revision: 4080 $'
-*
-* This program is free software; you can redistribute it and/or modify
-* it under the terms of the GNU General Public License as published by
-* the Free Software Foundation; either version 2 of the License, or
-* (at your option) any later version.
-*
-* This program is distributed in the hope that it will be useful,
-* but WITHOUT ANY WARRANTY; without even the implied warranty of
-* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-* GNU General Public License for more details.
-*
-* You should have received a copy of the GNU General Public License
-* along with this program; if not, write to the Free Software
-* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-*/
-%>
-<%@ include file="common-settings.jsp"%>
-<%@ include file="configure-check.jsp"%>
-
-<html>
-    <head>
-        <title>TPC Report Search Section</title>
-        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/widgets/simple-calendar-widgit.js"></script>
-        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/widgets/form-fields-widget.js"></script>
-        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/prototype-1.5.1.1/prototype.js"></script>
-        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/searchWorkflow.js"></script>
-        
-    </head>
-    <body onload="setWorkflowQueryFormField('tpcSearch');getResultsSection('<%=SERVLET_URL%>','tpcSearch','workflow-search-results')">    
-    	<div class=content-section>    
-    		<div class="content-subsection search-section" id="search-section">   
-        		<form name="tpcSearch" id="tpcSearch">
-        			<input name="query" id="query" type="hidden" />
-					<input name="qformat" value="tpc-run-result" type="hidden" />
-					<input name="action" value="squery" type="hidden" />  
-					<input name="keyword" id="sf-metadata-type1000" value="urn:lsid:localhost:onto:3:1#tpc-workflow-run" type="hidden">
-           			<input name="metadata-type-searchmode" id="sm-metadata-type1000" value="equals" type="hidden">
-<%
-					if (request.getParameter("workflowid") != null) {	
-%>          			<input name="workflow-id" id="sf-workflow-id1000" value="<%= request.getParameter("workflowid") %>" type="hidden">
-           				<input name="metadata-type-searchmode" id="sm-workflow-id1000" value="equals" type="hidden">	
-<%
-					}
-%>
-           			<div class="search-section-text">Search</div>			
-					<div class="form-base-row" id="form-base-row">
-						<div class="field-label dropdown-field-label" id='field-selector-section' >Add search term</div>
-						<select class="dropdown-input" name="dd-field-selector" id="dd-field-selector">
-							<option value="name" onclick="addSearchDropdownBefore('tpcSearch','Name','name','co|eq|sw|ew','form-base-row')">Name</option>
-							<option value="keyword" onclick="addSearchDropdownBefore('tpcSearch','Keyword','keyword','co|eq|sw|ew','form-base-row')">Keyword</option>
-							<option values="creator" onclick="addSearchDropdownBefore('tpcSearch','Creator','creator','co|eq|sw|ew','form-base-row')">Creator</option>
-							<option values="description" onclick="addSearchDropdownBefore('tpcSearch','Description','description','co|eq|sw|ew','form-base-row')">Description</option>
-							<option values="date-executed" onclick="addSearchDropdownBefore('tpcSearch','Date Executed','date-executed','be|af','form-base-row')">Date Executed</option>
-							<option values="workflow-run-id" onclick="addSearchDropdownBefore('tpcSearch','Workflow-id','workflow-id','co|eq|sw|ew','form-base-row')">Workflow Run ID</option>
-							<option values="workflow-id" onclick="addSearchDropdownBefore('tpcSearch','Workflow-id','workflow-id','co|eq|sw|ew','form-base-row')">Workflow ID</option>
-							<option values="status" onclick="addSearchDropdownBefore('tpcSearch','Status','Status','is|in','form-base-row')">Status</option>
-						</select>    
-        		
-        				<input class="submit-button" value="Search" type="button" onclick="setWorkflowQueryFormField('tpcSearch');getResultsSection('<%=SERVLET_URL%>','tpcSearch','workflow-search-results')">
-        			</div> 
-        		</form>
-			</div>
-        	
-        	<div class="content-subsection" id="workflow-search-results">
-        	</div>
-    		
-        </div>
-    </body>
-</html>
Index: lib/style/common/tpc-resultset.xsl
===================================================================
--- lib/style/common/tpc-resultset.xsl	(revision 4965)
+++ lib/style/common/tpc-resultset.xsl	(nonexistent)
@@ -1,88 +0,0 @@
-<?xml version="1.0"?>
-<!--
-	*  '$RCSfile$'
-	*      Authors: Matt Jones, CHad Berkley
-	*    Copyright: 2009 Regents of the University of California and the
-	*               National Center for Ecological Analysis and Synthesis
-	*  For Details: http://www.nceas.ucsb.edu/
-	*
-	*   '$Author: leinfelder $'
-	*     '$Date: 2009-04-02 14:20:05 -0800 (Thu, 02 Apr 2009) $'
-	* '$Revision: 4893 $'
-	*
-	* This program is free software; you can redistribute it and/or modify
-	* it under the terms of the GNU General Public License as published by
-	* the Free Software Foundation; either version 2 of the License, or
-	* (at your option) any later version.
-	*
-	* This program is distributed in the hope that it will be useful,
-	* but WITHOUT ANY WARRANTY; without even the implied warranty of
-	* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-	* GNU General Public License for more details.
-	*
-	* You should have received a copy of the GNU General Public License
-	* along with this program; if not, write to the Free Software
-	* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-	*
-	* This is an XSLT (http://www.w3.org/TR/xslt) stylesheet designed to
-	* convert an XML file showing the resultset of a query
-	* into an HTML format suitable for rendering with modern web browsers.
--->
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
-
-	<xsl:output method="html" />
-	<xsl:param name="sessid" />
-	<xsl:param name="qformat">default</xsl:param>
-	<xsl:param name="enableediting">false</xsl:param>
-	<xsl:param name="contextURL"/>
-	
-	<xsl:template match="/">  
-	
-		<div class="result-header-section">      
-        	<div class="result-header">TPC Workflows</div>
-        	<div class="result-header-emphasis">(<xsl:number value="count(resultset/document)" />   
-        		<xsl:if test="count(resultset/document) != 1"> items</xsl:if>
-        		<xsl:if test="count(resultset/document) = 1"> item</xsl:if>
-        	 	found)
-        	</div>
-		</div>
-		<div class="row row-header" >
-			<div class="col col1">TPC Name</div>
-			<div class="col col2">Creator</div>
-			<div class="col col3">Date Created</div>
-			<div class="col col4">Action</div>
-		</div>			
-		<!-- This tests to see if there are returned documents,
-			if there are not then don't show the query results -->
-		<xsl:if test="count(resultset/document) &gt; 0">
-			<xsl:for-each select="resultset/document">
-				<div>
-					<xsl:attribute name="class">
-						<xsl:choose>
-							<xsl:when test="position() mod 2 = 1">row row-odd</xsl:when>
-							<xsl:when test="position() mod 2 = 0">row row-even</xsl:when>
-						</xsl:choose>
-					</xsl:attribute>
-
-					<div class="col col1">	
-						<xsl:value-of select='./param[@name="entity/@name"]' />		
-					</div>
-					<div class="col col2">	
-						<xsl:value-of select='./param[@name="property[@name=&apos;KeplerDocumentation&apos;]/property[@name=&apos;author&apos;]/configure"]' />		
-					</div>
-					<div class="col col3">	
-						<xsl:value-of select='./updatedate' />			
-					</div>
-					<div class="col col4">	
-						<span>
-							<xsl:attribute name="class">underlined</xsl:attribute>
-							<xsl:attribute name="onclick">showWorkflowRuns(&apos;<xsl:value-of select='./param[@name="property[@name=&apos;entityId&apos;]/@value"]' />&apos;,&apos;searchTPCWorkflowRun.jsp&apos;)</xsl:attribute>
-								 View Runs
-						</span> 
-					</div>		
-				</div>
-			</xsl:for-each>
-		</xsl:if>
-	</xsl:template>
-
-</xsl:stylesheet>
\ No newline at end of file

Property changes on: lib/style/common/tpc-resultset.xsl
___________________________________________________________________
Deleted: svn:executable
## -1 +0,0 ##
-*
\ No newline at end of property
Index: lib/style/common/tpc-run-resultset.xsl
===================================================================
--- lib/style/common/tpc-run-resultset.xsl	(revision 4965)
+++ lib/style/common/tpc-run-resultset.xsl	(nonexistent)
@@ -1,96 +0,0 @@
-<?xml version="1.0"?>
-<!--
-	*  '$RCSfile$'
-	*      Authors: Matt Jones, CHad Berkley
-	*    Copyright: 2009 Regents of the University of California and the
-	*               National Center for Ecological Analysis and Synthesis
-	*  For Details: http://www.nceas.ucsb.edu/
-	*
-	*   '$Author: leinfelder $'
-	*     '$Date: 2009-04-02 14:20:05 -0800 (Thu, 02 Apr 2009) $'
-	* '$Revision: 4893 $'
-	*
-	* This program is free software; you can redistribute it and/or modify
-	* it under the terms of the GNU General Public License as published by
-	* the Free Software Foundation; either version 2 of the License, or
-	* (at your option) any later version.
-	*
-	* This program is distributed in the hope that it will be useful,
-	* but WITHOUT ANY WARRANTY; without even the implied warranty of
-	* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-	* GNU General Public License for more details.
-	*
-	* You should have received a copy of the GNU General Public License
-	* along with this program; if not, write to the Free Software
-	* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-	*
-	* This is an XSLT (http://www.w3.org/TR/xslt) stylesheet designed to
-	* convert an XML file showing the resultset of a query
-	* into an HTML format suitable for rendering with modern web browsers.
--->
-<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
-
-	<xsl:output method="html" />
-	<xsl:param name="sessid" />
-	<xsl:param name="qformat">default</xsl:param>
-	<xsl:param name="enableediting">false</xsl:param>
-	<xsl:param name="contextURL"/>
-	
-	<xsl:template match="/">  
-		<div class="result-header-section">      
-        	<div class="result-header">TPC Workflows</div>
-        	<div class="result-header-emphasis">(<xsl:number value="count(resultset/document)" />
-				<xsl:if test="count(resultset/document) != 1"> items</xsl:if>
-        		<xsl:if test="count(resultset/document) = 1"> item</xsl:if> 
-        		found)
-        	</div>
-		</div>
-		<div class="row row-header" >
-			<div class="col col1">TPC Name</div>
-			<div class="col col2">Status</div>
-			<div class="col col3">Date Executed</div>
-			<div class="col col4">Available Reports</div>
-		</div>			
-		<!-- This tests to see if there are returned documents,
-			if there are not then don't show the query results -->
-		<xsl:if test="count(resultset/document) &gt; 0">
-			<xsl:for-each select="resultset/document">
-				<div>
-					<xsl:attribute name="class">
-						<xsl:choose>
-							<xsl:when test="position() mod 2 = 1">row row-odd</xsl:when>
-							<xsl:when test="position() mod 2 = 0">row row-even</xsl:when>
-						</xsl:choose>
-					</xsl:attribute>
-
-					<div class="col col1">	
-						<xsl:value-of select='./param[@name="entity/@name"]' />		
-					</div>
-					<div class="col col2">	
-						<xsl:value-of select='./param[@name="property[@name=&apos;KeplerDocumentation&apos;]/property[@name=&apos;status&apos;]/configure"]' />		
-					</div>
-					<div class="col col3">	
-						<xsl:value-of select='./param[@name="property[@name=&apos;KeplerDocumentation&apos;]/property[@name=&apos;runDate&apos;]/configure"]' />		
-					</div>
-					<div class="col col4">	
-						<a>
-							<xsl:attribute name="class">underlined</xsl:attribute>
-							<xsl:attribute name="href">
-								<xsl:value-of select='$contextURL' />/metacat?action=read&amp;docid=<xsl:value-of select='./param[@name="property[@name=&apos;KeplerDocumentation&apos;]/property[@name=&apos;archiveName&apos;]/configure"]' />&amp;archiveEntryName=<xsl:value-of select='./param[@name="property[@name=&apos;KeplerDocumentation&apos;]/property[@name=&apos;pdfReport&apos;]/configure"]' />
-							</xsl:attribute>
-							PDF
-						</a> | 
-						<a>
-							<xsl:attribute name="class">underlined</xsl:attribute>
-							<xsl:attribute name="href">
-								<xsl:value-of select='$contextURL' />/metacat?action=read&amp;docid=<xsl:value-of select='./param[@name="property[@name=&apos;KeplerDocumentation&apos;]/property[@name=&apos;archiveName&apos;]/configure"]' />&amp;archiveEntryName=<xsl:value-of select='./param[@name="property[@name=&apos;KeplerDocumentation&apos;]/property[@name=&apos;htmlReport&apos;]/configure"]' />
-							</xsl:attribute>
-							HTML
-						</a> 							 
-					</div>		
-				</div>
-			</xsl:for-each>
-		</xsl:if>
-	</xsl:template>
-
-</xsl:stylesheet>
\ No newline at end of file

Property changes on: lib/style/common/tpc-run-resultset.xsl
___________________________________________________________________
Deleted: svn:executable
## -1 +0,0 ##
-*
\ No newline at end of property
Index: lib/style/skins/sanparks/searchWorkflowRun.jsp
===================================================================
--- lib/style/skins/sanparks/searchWorkflowRun.jsp	(nonexistent)
+++ lib/style/skins/sanparks/searchWorkflowRun.jsp	(revision 4966)
@@ -0,0 +1,51 @@
+<%@ page    language="java" %>
+<%
+/*
+*  '$RCSfile$'
+*    Copyright: 2009 Regents of the University of California and the
+*               National Center for Ecological Analysis and Synthesis
+*
+*   '$Author: daigle $'
+*     '$Date: 2008-07-06 21:25:34 -0700 (Sun, 06 Jul 2008) $'
+* '$Revision: 4080 $'
+*
+* This program is free software; you can redistribute it and/or modify
+* it under the terms of the GNU General Public License as published by
+* the Free Software Foundation; either version 2 of the License, or
+* (at your option) any later version.
+*
+* This program is distributed in the hope that it will be useful,
+* but WITHOUT ANY WARRANTY; without even the implied warranty of
+* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+* GNU General Public License for more details.
+*
+* You should have received a copy of the GNU General Public License
+* along with this program; if not, write to the Free Software
+* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+*/
+%>
+<%@ include file="settings.jsp"%>
+
+<html>
+    <head>
+        <title>Sanparks TPC Report Search</title>
+        <link rel="stylesheet" type="text/css" href="<%=STYLE_SKINS_URL%>/sanparks/sanparks.css"/>
+        <link rel="stylesheet" type="text/css" href="<%=STYLE_SKINS_URL%>/sanparks/sanparks-tpc.css"/>
+        <link rel="stylesheet" type="text/css" href="<%=STYLE_SKINS_URL%>/sanparks/header2.css"/>
+        <link rel="stylesheet" type="text/css" href="<%=STYLE_SKINS_URL%>/sanparks/left-nav2.css"/>
+        <link rel="stylesheet" type="text/css" href="<%=STYLE_SKINS_URL%>/sanparks/footer2.css"/>
+        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_SKINS_URL%>/sanparks/sanparks.js"></script>
+        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/style/skins/sanparks/searchWorkflowPathQuery.js"></script>
+        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/branding.js"></script>
+    </head>
+    <body class="main-section">
+        <jsp:include page="header2.jsp"/>
+        
+        <!-- Main content -->
+        <jsp:include page="left-nav2.jsp"/>
+        <jsp:include page="../../common/searchWorkflowRunSection.jsp" />
+        
+        <!-- Footer Content -->
+        <jsp:include page="footer2.jsp" />
+    </body>
+</html>

Property changes on: lib/style/skins/sanparks/searchWorkflowRun.jsp
___________________________________________________________________
Added: svn:mergeinfo
## -0,0 +0,0 ##
Index: lib/style/skins/sanparks/header.jsp
===================================================================
--- lib/style/skins/sanparks/header.jsp	(revision 4965)
+++ lib/style/skins/sanparks/header.jsp	(revision 4966)
@@ -58,10 +58,10 @@
 						<a href="<%=CGI_URL%>/register-dataset.cgi?cfg=sanparks" target="_top" class="headermenu">Register Data</a>
 					</td>
 					<td nowrap="nowrap">
-						<a href="searchTPCWorkflowRun.jsp" target="_top" class="headermenu">TPC Status</a>
+						<a href="searchWorkflowRun.jsp" target="_top" class="headermenu">TPC Status</a>
 					</td>
 					<td nowrap="nowrap">
-						<a href="searchTPCWorkflow.jsp" target="_top" class="headermenu">TPC Workflows</a>
+						<a href="searchWorkflow.jsp" target="_top" class="headermenu">TPC Workflows</a>
 					</td>
 				</tr>
 			</table>
Index: lib/style/skins/sanparks/searchWorkflow.jsp
===================================================================
--- lib/style/skins/sanparks/searchWorkflow.jsp	(nonexistent)
+++ lib/style/skins/sanparks/searchWorkflow.jsp	(revision 4966)
@@ -0,0 +1,51 @@
+<%@ page    language="java" %>
+<%
+/*
+*  '$RCSfile$'
+*    Copyright: 2009 Regents of the University of California and the
+*               National Center for Ecological Analysis and Synthesis
+*
+*   '$Author: daigle $'
+*     '$Date: 2008-07-06 21:25:34 -0700 (Sun, 06 Jul 2008) $'
+* '$Revision: 4080 $'
+*
+* This program is free software; you can redistribute it and/or modify
+* it under the terms of the GNU General Public License as published by
+* the Free Software Foundation; either version 2 of the License, or
+* (at your option) any later version.
+*
+* This program is distributed in the hope that it will be useful,
+* but WITHOUT ANY WARRANTY; without even the implied warranty of
+* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+* GNU General Public License for more details.
+*
+* You should have received a copy of the GNU General Public License
+* along with this program; if not, write to the Free Software
+* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+*/
+%>
+<%@ include file="settings.jsp"%>
+
+<html>
+    <head>
+        <title>Sanparks TPC Report Search</title>
+        <link rel="stylesheet" type="text/css" href="<%=STYLE_SKINS_URL%>/sanparks/sanparks.css"/>
+        <link rel="stylesheet" type="text/css" href="<%=STYLE_SKINS_URL%>/sanparks/sanparks-tpc.css"/>
+        <link rel="stylesheet" type="text/css" href="<%=STYLE_SKINS_URL%>/sanparks/header2.css"/>
+        <link rel="stylesheet" type="text/css" href="<%=STYLE_SKINS_URL%>/sanparks/left-nav2.css"/>
+        <link rel="stylesheet" type="text/css" href="<%=STYLE_SKINS_URL%>/sanparks/footer2.css"/>
+        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_SKINS_URL%>/sanparks/sanparks.js"></script>
+        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/style/skins/sanparks/searchWorkflowPathQuery.js"></script>
+        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/branding.js"></script>
+    </head>
+    <body class="main-section">
+        <jsp:include page="header2.jsp"/>
+        
+        <!-- Main content -->
+        <jsp:include page="left-nav2.jsp"/>
+        <jsp:include page="../../common/searchWorkflowSection.jsp" />
+        
+        <!-- Footer Content -->
+        <jsp:include page="footer2.jsp" />
+    </body>
+</html>

Property changes on: lib/style/skins/sanparks/searchWorkflow.jsp
___________________________________________________________________
Added: svn:mergeinfo
## -0,0 +0,0 ##
Index: lib/style/skins/sanparks/sanparks-scheduled-jobs.css
===================================================================
--- lib/style/skins/sanparks/sanparks-scheduled-jobs.css	(nonexistent)
+++ lib/style/skins/sanparks/sanparks-scheduled-jobs.css	(revision 4966)
@@ -0,0 +1,193 @@
+ /*
+  *   '$RCSfile$'
+  *     Purpose: Default style sheet for KNB project web pages 
+  *              Using this stylesheet rather than placing styles directly in 
+  *              the KNB web documents allows us to globally change the 
+  *              formatting styles of the entire site in one easy place.
+  *   Copyright: 2000 Regents of the University of California and the
+  *               National Center for Ecological Analysis and Synthesis
+  *     Authors: Matt Jones
+  *
+  *    '$Author: daigle $'
+  *      '$Date: 2008-07-06 21:25:34 -0700 (Sun, 06 Jul 2008) $'
+  *  '$Revision: 4080 $'
+  *
+  * This program is free software; you can redistribute it and/or modify
+  * it under the terms of the GNU General Public License as published by
+  * the Free Software Foundation; either version 2 of the License, or
+  * (at your option) any later version.
+  *
+  * This program is distributed in the hope that it will be useful,
+  * but WITHOUT ANY WARRANTY; without even the implied warranty of
+  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  * GNU General Public License for more details.
+  *
+  * You should have received a copy of the GNU General Public License
+  * along with this program; if not, write to the Free Software
+  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+  */
+
+/********************************************************************** 
+ * tpc settings
+ **********************************************************************/
+
+.content-section {
+}
+
+.content-section-header {
+	text-align:	left;
+	color: #124325;
+	background: #CFE2CF;
+	font-family: "Verdana", "Helvetica", "Trebuchet MS", "Arial", sans-serif;
+	font-size: 14px;
+	font-weight: bold;
+	border: 1px solid #124325;
+	display: block;
+	padding: 3px 0px 3px 10px;
+	margin:0px 60px 20px 178px;
+}
+
+.content-subsection {
+	vertical-align: middle;
+	margin: 0px 0px 0px 195px;
+	width: 750px;
+}
+
+.content-subsection-header {
+	margin: 10px 0px 5px 0px;
+	padding: 0px 0px 0px 0px;
+	color: #7BB865;
+	font-size: 16px;
+}
+
+.from-date-section {
+	display:inline;
+	float: left;
+	margin: 0px 25px 0px 25px;
+}
+
+.to-date-section {
+	margin: 0px 20px 0px 0px;
+}
+
+.form-input-row {
+	margin-bottom: 10px;
+}
+
+.form-base-row {
+	margin: 20px 0px 10px 0px;
+}
+
+.field-label {
+	margin: 0px 0px 0px 15px;
+	padding: 0px 7px 0px 0px;
+	width: 125px;
+	display: inline;
+	float: left;
+	text-align: right;
+	font-size: 1.1em;
+}
+
+.field-suffix {
+	margin: 0px 0px 0px 15px;
+	padding: 0px 7px 0px 0px;
+	width: 125px;
+	display: inline;
+	text-align: right;
+	font-size: 1.1em;
+}
+
+.summary-field {
+	margin: 0px 0px 0px 15px;
+	padding: 0px 7px 0px 0px;
+	width: 125px;
+	display: inline;
+	float: left;
+	text-align: right;
+	font-size: 16px;
+	color: #255333;
+}
+
+.summary-value {
+	padding: 0px 7px 0px 0px;
+	display: inline;
+	text-align: right;
+	font-size: 16px;
+	color: #000000;
+}
+
+.field-remove-button {
+	margin: 0px 0px 0px 100px;
+}
+
+.text-input {
+	width: 290px;
+}
+
+.date-input {
+		width: 150px;
+}
+
+.int-input {
+		width: 60px;
+}
+
+.calendar-icon {
+	vertical-align: middle;
+}
+
+.search-section {
+	border: 1px solid #D5D5D5;
+	padding: 15px 0px 5px 0px;
+}
+
+.search-section-text {
+	position: absolute;
+	top: 123px;
+	left: 230px;
+	background: #FFFFFF;	
+	font-size: 14px;
+	color: #797979;
+	padding: 0px 5px 0px 5px;
+}
+
+.submit-button {
+	margin: 0px 0px 0px 280px;
+	width: 100px;
+}
+
+.result-header-emphasis {
+	font-size: 16px;
+	margin-bottom: 5px;
+}
+
+.workflow-run-content {
+	margin-bottom: 20px;
+}
+
+/********************************************************************** 
+ * tpc search result specific settings
+ **********************************************************************/
+
+.col1 {
+	width: 210px;
+	text-align: left;
+	font-weight: bold;
+}
+
+.col2 {
+	width: 90px;
+}
+
+.col3 {
+	width: 170px;
+}
+
+.col4 {
+	width: 80px;
+}
+
+.col5 {
+	width: 80px;
+	border-right: none;
+}

Property changes on: lib/style/skins/sanparks/sanparks-scheduled-jobs.css
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: lib/style/skins/sanparks/header2.jsp
===================================================================
--- lib/style/skins/sanparks/header2.jsp	(revision 4965)
+++ lib/style/skins/sanparks/header2.jsp	(revision 4966)
@@ -42,24 +42,24 @@
 			<a class="header-menu-item"href="<%=CGI_URL%>/register-dataset.cgi?cfg=sanparks" target="_top" >Register Data</a>
 
 <%
-			if(request.getRequestURI().endsWith("searchTPCWorkflowRun.jsp")) {
+			if(request.getRequestURI().endsWith("searchWorkflowRun.jsp")) {
 %>
 				<div class="header-menu-item menu-item-inactive">TPC Status</div>	
 <%
 			} else {
 %>
-				<a class="header-menu-item" href="<%=STYLE_SKINS_URL%>/sanparks/searchTPCWorkflow.jsp">TPC Status</a>
+				<a class="header-menu-item" href="<%=STYLE_SKINS_URL%>/sanparks/searchWorkflowRun.jsp">TPC Status</a>
 <%
 			}
 
  
-			if(request.getRequestURI().endsWith("searchTPCWorkflow.jsp")) {
+			if(request.getRequestURI().endsWith("searchWorkflow.jsp")) {
 %>
 				<div class="header-menu-item menu-item-inactive">TPC Workflows</div>	
 <%
 			} else {
 %>
-				<a class="header-menu-item"href="<%=STYLE_SKINS_URL%>/sanparks/searchTPCWorkflow.jsp">TPC Workflows</a>
+				<a class="header-menu-item"href="<%=STYLE_SKINS_URL%>/sanparks/searchWorkflow.jsp">TPC Workflows</a>
 <%
 			}
 %> 
Index: lib/style/skins/sanparks/sanparks.css
===================================================================
--- lib/style/skins/sanparks/sanparks.css	(revision 4965)
+++ lib/style/skins/sanparks/sanparks.css	(revision 4966)
@@ -341,6 +341,10 @@
 .underlined {
 	text-decoration: underline;
 }
+
+.fake-url {
+	text-decoration: underline;
+}
 /*****END SANPARKS NAV*******/
 
 /**
Index: lib/style/skins/sanparks/sanparks.xml
===================================================================
--- lib/style/skins/sanparks/sanparks.xml	(revision 4965)
+++ lib/style/skins/sanparks/sanparks.xml	(revision 4966)
@@ -7,6 +7,10 @@
     <!-- <target publicid="-//W3C//HTML//EN">/style/skins/sanparks/sanparks.xsl</target> -->
     <target publicid="-//W3C//HTML//EN">/style/common/resultset.xsl</target>
   </doctype>
+  
+  <doctype publicid="-//NCEAS//scheduledWorkflowResultset//EN">
+    <target publicid="-//W3C//HTML//EN">/style/common/scheduledWorkflowResultset.xsl</target>
+  </doctype>
 
   <doctype publicid="-//NCEAS//login//EN">
     <target publicid="-//W3C//HTML//EN">/style/skins/sanparks/knp-login.xsl</target>
Index: lib/style/skins/sanparks/sanparks-tpc.css
===================================================================
--- lib/style/skins/sanparks/sanparks-tpc.css	(revision 4965)
+++ lib/style/skins/sanparks/sanparks-tpc.css	(revision 4966)
@@ -100,6 +100,10 @@
 		width: 150px;
 }
 
+.int-input {
+		width: 60px;
+}
+
 .calendar-icon {
 	vertical-align: middle;
 }
@@ -124,6 +128,10 @@
 	width: 100px;
 }
 
+.result-header-emphasis {
+	font-size: 16px;
+}
+
 /********************************************************************** 
  * tpc search result specific settings
  **********************************************************************/
Index: lib/style/skins/sanparks/scheduleWorkflowRun.jsp
===================================================================
--- lib/style/skins/sanparks/scheduleWorkflowRun.jsp	(nonexistent)
+++ lib/style/skins/sanparks/scheduleWorkflowRun.jsp	(revision 4966)
@@ -0,0 +1,51 @@
+<%@ page    language="java" %>
+<%
+/*
+*  '$RCSfile$'
+*    Copyright: 2009 Regents of the University of California and the
+*               National Center for Ecological Analysis and Synthesis
+*
+*   '$Author: daigle $'
+*     '$Date: 2008-07-06 21:25:34 -0700 (Sun, 06 Jul 2008) $'
+* '$Revision: 4080 $'
+*
+* This program is free software; you can redistribute it and/or modify
+* it under the terms of the GNU General Public License as published by
+* the Free Software Foundation; either version 2 of the License, or
+* (at your option) any later version.
+*
+* This program is distributed in the hope that it will be useful,
+* but WITHOUT ANY WARRANTY; without even the implied warranty of
+* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+* GNU General Public License for more details.
+*
+* You should have received a copy of the GNU General Public License
+* along with this program; if not, write to the Free Software
+* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+*/
+%>
+<%@ include file="settings.jsp"%>
+
+<html>
+    <head>
+        <title>Sanparks TPC Report Search</title>
+        <link rel="stylesheet" type="text/css" href="<%=STYLE_SKINS_URL%>/sanparks/sanparks.css"/>
+        <link rel="stylesheet" type="text/css" href="<%=STYLE_SKINS_URL%>/sanparks/sanparks-scheduled-jobs.css"/>
+        <link rel="stylesheet" type="text/css" href="<%=STYLE_SKINS_URL%>/sanparks/header2.css"/>
+        <link rel="stylesheet" type="text/css" href="<%=STYLE_SKINS_URL%>/sanparks/left-nav2.css"/>
+        <link rel="stylesheet" type="text/css" href="<%=STYLE_SKINS_URL%>/sanparks/footer2.css"/>
+        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_SKINS_URL%>/sanparks/sanparks.js"></script>
+        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/style/skins/sanparks/searchWorkflowPathQuery.js"></script>
+        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/branding.js"></script>
+    </head>
+    <body class="main-section">
+        <jsp:include page="header2.jsp"/>
+        
+        <!-- Main content -->
+        <jsp:include page="left-nav2.jsp"/>
+        <jsp:include page="../../common/scheduleWorkflowRunSection.jsp" />
+        
+        <!-- Footer Content -->
+        <jsp:include page="footer2.jsp" />
+    </body>
+</html>
Index: lib/style/skins/tpc-result/tpc-result.xml
===================================================================
--- lib/style/skins/tpc-result/tpc-result.xml	(revision 4965)
+++ lib/style/skins/tpc-result/tpc-result.xml	(revision 4966)
@@ -4,7 +4,7 @@
   <default-style>/style/common/ascii-treeview.xsl</default-style>
 
   <doctype publicid="-//NCEAS//resultset//EN">
-    <target publicid="-//W3C//HTML//EN">/style/common/tpc-resultset.xsl</target>
+    <target publicid="-//W3C//HTML//EN">/style/common/searchWorkflowResultset.xsl</target>
   </doctype>
   
 </style-set>
Index: lib/style/skins/tpc-run-result/tpc-run-result.xml
===================================================================
--- lib/style/skins/tpc-run-result/tpc-run-result.xml	(revision 4965)
+++ lib/style/skins/tpc-run-result/tpc-run-result.xml	(revision 4966)
@@ -4,7 +4,7 @@
   <default-style>/style/common/ascii-treeview.xsl</default-style>
 
   <doctype publicid="-//NCEAS//resultset//EN">
-    <target publicid="-//W3C//HTML//EN">/style/common/tpc-run-resultset.xsl</target>
+    <target publicid="-//W3C//HTML//EN">/style/common/searchWorkflowRunResultset.xsl</target>
   </doctype>
   
 </style-set>
Index: lib/style/common/searchWorkflowSection.jsp
===================================================================
--- lib/style/common/searchWorkflowSection.jsp	(nonexistent)
+++ lib/style/common/searchWorkflowSection.jsp	(revision 4966)
@@ -0,0 +1,69 @@
+<%@ page    language="java" %>
+<%
+/*
+*  '$RCSfile$'
+*    Copyright: 2009 Regents of the University of California and the
+*               National Center for Ecological Analysis and Synthesis
+*
+*   '$Author: daigle $'
+*     '$Date: 2008-07-06 21:25:34 -0700 (Sun, 06 Jul 2008) $'
+* '$Revision: 4080 $'
+*
+* This program is free software; you can redistribute it and/or modify
+* it under the terms of the GNU General Public License as published by
+* the Free Software Foundation; either version 2 of the License, or
+* (at your option) any later version.
+*
+* This program is distributed in the hope that it will be useful,
+* but WITHOUT ANY WARRANTY; without even the implied warranty of
+* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+* GNU General Public License for more details.
+*
+* You should have received a copy of the GNU General Public License
+* along with this program; if not, write to the Free Software
+* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+*/
+%>
+<%@ include file="common-settings.jsp"%>
+<%@ include file="configure-check.jsp"%>
+
+<html>
+    <head>
+        <title>TPC Report Search Section</title>
+        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/widgets/simple-calendar-widgit.js"></script>
+        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/widgets/form-fields-widget.js"></script>
+        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/prototype-1.5.1.1/prototype.js"></script>
+		<script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/ajax-utils.js"></script>
+        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/searchWorkflow.js"></script>   
+    </head>
+    <body onload="setWorkflowQueryFormField('tpcSearch');getResultsSection('<%=SERVLET_URL%>','tpcSearch','workflow-search-results')">
+    	<div class=content-section>    
+    		<div class="content-subsection search-section" id="search-section">   
+        		<form name="tpcSearch" id="tpcSearch">
+        			<input name="query" id="query" type="hidden" />
+					<input name="qformat" value="tpc-result" type="hidden" />
+					<!-- input name="qformat" value="xml" type="hidden" / -->
+					<input name="action" value="squery" type="hidden" />  
+           			<div class="search-section-text">Search</div>			
+					<div class="form-base-row" id="form-base-row">
+						<div class="field-label dropdown-field-label" id='field-selector-section' >Add search term</div>
+						<select class="dropdown-input" name="dd-field-selector" id="dd-field-selector">
+							<option value="name" onclick="addSearchDropdownBefore('tpcSearch','Name','name','co|eq|sw|ew','form-base-row')">Name</option>
+							<option value="keyword" onclick="addSearchDropdownBefore('tpcSearch','Keyword','keyword','co|eq|sw|ew','form-base-row')">Keyword</option>
+							<option values="creator" onclick="addSearchDropdownBefore('tpcSearch','Creator','creator','co|eq|sw|ew','form-base-row')">Creator</option>
+							<option values="description" onclick="addSearchDropdownBefore('tpcSearch','Description','description','co|eq|sw|ew','form-base-row')">Description</option>
+							<option values="date-created" onclick="addSearchDropdownBefore('tpcSearch','Date Created','date-created','be|af','form-base-row')">Date Created</option>
+							<option values="workflow-id" onclick="addSearchDropdownBefore('tpcSearch','Workflow-id','workflow-id','co|eq|sw|ew','form-base-row')">Workflow ID</option>
+						</select>    
+        		
+        				<input class="submit-button" value="Search" type="button" onclick="setWorkflowQueryFormField('tpcSearch');getResultsSection('<%=SERVLET_URL%>','tpcSearch','workflow-search-results')">
+        			</div> 
+        		</form>
+			</div>
+        	
+        	<div class="content-subsection" id="workflow-search-results">
+        	</div>
+    		
+        </div>
+    </body>
+</html>

Property changes on: lib/style/common/searchWorkflowSection.jsp
___________________________________________________________________
Added: svn:mergeinfo
## -0,0 +0,0 ##
Index: lib/style/common/scheduleWorkflowRun.js
===================================================================
--- lib/style/common/scheduleWorkflowRun.js	(nonexistent)
+++ lib/style/common/scheduleWorkflowRun.js	(revision 4966)
@@ -0,0 +1,23 @@
+/*
+ */
+
+function getWorkflowRunSection(url, workflowId, divId) {
+	var requestUrl = url + '?action=getScheduledWorkflow&workflowid=' + workflowId + '&qformat=' + 'sanparks';
+	var submitResults = submitUrlIntoDiv(requestUrl, divId);
+}
+
+function showSchedulePage(workflowId, schedulePage, qformat) {
+	url = document.URL + '/../' + workflowRunPage + '?workflowid=' + workflowId + '?qformat=' + qformat;
+	//alert('new url: ' + url);
+	window.location = url;
+}
+
+function scheduleWorkflowRun(url, workflowId, startTime, interval, karId) {	
+	requestUrl = 
+		url + '?action=scheduleWorkflow&starttime=' + startTime 
+			+ '&interval=' + interval + '&jobparam_karId=' + karId;
+	//alert('new url: ' + url);
+	window.location = url;
+}
+
+	

Property changes on: lib/style/common/scheduleWorkflowRun.js
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: lib/style/common/scheduleWorkflow.js
===================================================================
--- lib/style/common/scheduleWorkflow.js	(nonexistent)
+++ lib/style/common/scheduleWorkflow.js	(revision 4966)
@@ -0,0 +1,23 @@
+/*
+ */
+
+function getWorkflowRunSection(url, workflowId, workflowName, divId) {
+	var requestUrl = url + '?action=getScheduledWorkflow&workflowid=' + workflowId + '&qformat=sanparks&workflowname=' + workflowName;
+	var submitResults = submitUrlIntoDiv(requestUrl, divId);
+}
+
+function showSchedulePage(workflowId, schedulePage, qformat) {
+	url = document.URL + '/../' + workflowRunPage + '?workflowid=' + workflowId + '?qformat=' + qformat;
+	//alert('new url: ' + url);
+	window.location = url;
+}
+
+function scheduleWorkflowRun(url, workflowId, startTime, interval, karId) {	
+	requestUrl = 
+		url + '?action=scheduleWorkflow&starttime=' + startTime 
+			+ '&interval=' + interval + '&jobparam_karId=' + karId;
+	//alert('new url: ' + url);
+	window.location = url;
+}
+
+	

Property changes on: lib/style/common/scheduleWorkflow.js
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: lib/style/common/searchWorkflowRunSection.jsp
===================================================================
--- lib/style/common/searchWorkflowRunSection.jsp	(nonexistent)
+++ lib/style/common/searchWorkflowRunSection.jsp	(revision 4966)
@@ -0,0 +1,80 @@
+<%@ page    language="java" %>
+<%
+/*
+*  '$RCSfile$'
+*    Copyright: 2009 Regents of the University of California and the
+*               National Center for Ecological Analysis and Synthesis
+*
+*   '$Author: daigle $'
+*     '$Date: 2008-07-06 21:25:34 -0700 (Sun, 06 Jul 2008) $'
+* '$Revision: 4080 $'
+*
+* This program is free software; you can redistribute it and/or modify
+* it under the terms of the GNU General Public License as published by
+* the Free Software Foundation; either version 2 of the License, or
+* (at your option) any later version.
+*
+* This program is distributed in the hope that it will be useful,
+* but WITHOUT ANY WARRANTY; without even the implied warranty of
+* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+* GNU General Public License for more details.
+*
+* You should have received a copy of the GNU General Public License
+* along with this program; if not, write to the Free Software
+* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+*/
+%>
+<%@ include file="common-settings.jsp"%>
+<%@ include file="configure-check.jsp"%>
+
+<html>
+    <head>
+        <title>TPC Report Search Section</title>
+        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/widgets/simple-calendar-widgit.js"></script>
+        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/widgets/form-fields-widget.js"></script>
+        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/prototype-1.5.1.1/prototype.js"></script>
+		<script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/ajax-utils.js"></script>
+        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/searchWorkflowRun.js"></script>
+        
+    </head>
+    <body onload="setWorkflowQueryFormField('tpcSearch');getResultsSection('<%=SERVLET_URL%>','tpcSearch','workflow-search-results')">    
+    	<div class=content-section>    
+    		<div class="content-subsection search-section" id="search-section">   
+        		<form name="tpcSearch" id="tpcSearch">
+        			<input name="query" id="query" type="hidden" />
+					<input name="qformat" value="tpc-run-result" type="hidden" />
+					<input name="action" value="squery" type="hidden" />  
+					<!-- input name="keyword" id="sf-metadata-type1000" value="urn:lsid:localhost:onto:3:1#tpc-workflow-run" type="hidden">
+           			<input name="metadata-type-searchmode" id="sm-metadata-type1000" value="equals" type="hidden" -->
+<%
+					if (request.getParameter("workflowid") != null) {	
+%>          			<input name="workflow-lsid" id="sf-workflow-id1000" value="<%= request.getParameter("workflowid") %>" type="hidden">
+           				<input name="metadata-type-searchmode" id="sm-workflow-id1000" value="equals" type="hidden">	
+<%
+					}
+%>
+           			<div class="search-section-text">Search</div>			
+					<div class="form-base-row" id="form-base-row">
+						<div class="field-label dropdown-field-label" id='field-selector-section' >Add search term</div>
+						<select class="dropdown-input" name="dd-field-selector" id="dd-field-selector">
+							<option value="name" onclick="addSearchDropdownBefore('tpcSearch','Name','name','co|eq|sw|ew','form-base-row')">Name</option>
+							<option value="keyword" onclick="addSearchDropdownBefore('tpcSearch','Keyword','keyword','co|eq|sw|ew','form-base-row')">Keyword</option>
+							<option values="creator" onclick="addSearchDropdownBefore('tpcSearch','Creator','creator','co|eq|sw|ew','form-base-row')">Creator</option>
+							<option values="description" onclick="addSearchDropdownBefore('tpcSearch','Description','description','co|eq|sw|ew','form-base-row')">Description</option>
+							<option values="date-executed" onclick="addSearchDropdownBefore('tpcSearch','Date Executed','date-executed','be|af','form-base-row')">Date Executed</option>
+							<option values="workflow-run-id" onclick="addSearchDropdownBefore('tpcSearch','Workflow-id','workflow-id','co|eq|sw|ew','form-base-row')">Workflow Run ID</option>
+							<option values="workflow-lsid" onclick="addSearchDropdownBefore('tpcSearch','Workflow-id','workflow-id','co|eq|sw|ew','form-base-row')">Workflow ID</option>
+							<option values="status" onclick="addSearchDropdownBefore('tpcSearch','Status','Status','is|in','form-base-row')">Status</option>
+						</select>    
+        		
+        				<input class="submit-button" value="Search" type="button" onclick="setWorkflowQueryFormField('tpcSearch');getResultsSection('<%=SERVLET_URL%>','tpcSearch','workflow-search-results')">
+        			</div> 
+        		</form>
+			</div>
+        	
+        	<div class="content-subsection" id="workflow-search-results">
+        	</div>
+    		
+        </div>
+    </body>
+</html>

Property changes on: lib/style/common/searchWorkflowRunSection.jsp
___________________________________________________________________
Added: svn:mergeinfo
## -0,0 +0,0 ##
Index: lib/style/common/searchWorkflow.js
===================================================================
--- lib/style/common/searchWorkflow.js	(revision 4965)
+++ lib/style/common/searchWorkflow.js	(revision 4966)
@@ -14,7 +14,7 @@
 	queryString += "<pathquery version='1.2'>";
 	queryString += "<returndoctype>entity</returndoctype>";
 	queryString += "<returndoctype>-//UC Berkeley//DTD MoML 1//EN</returndoctype>";
-	queryString += "<returnfield>entity/@name</returnfield>";
+	queryString += "<returnfield>/entity/@name</returnfield>";
 	queryString += "<returnfield>property[@name=\'KeplerDocumentation\']/property[@name=\'author\']/configure</returnfield>";
 	queryString += "<returnfield>property[@name=\'KeplerDocumentation\']/property[@name=\'description\']/configure</returnfield>";
 	queryString += "<returnfield>property[@name=\'KeplerDocumentation\']/property[@name=\'createDate\']/configure</returnfield>";
@@ -23,8 +23,8 @@
 	queryString += "<returnfield>property[@name=\'KeplerDocumentation\']/property[@name=\'runDate\']/configure</returnfield>";
 	queryString += "<returnfield>property[@name=\'KeplerDocumentation\']/property[@name=\'pdfReport\']/configure</returnfield>";
 	queryString += "<returnfield>property[@name=\'KeplerDocumentation\']/property[@name=\'htmlReport\']/configure</returnfield>";
-	queryString += "<returnfield>property[@name=\'KeplerDocumentation\']/property[@name=\'archiveName\']/configure</returnfield>";				
-	queryString += "<returnfield>property[@name=\'entityId\']/@value</returnfield>";
+	queryString += "<returnfield>/entity/property[@name=\'karLSID\']/@value</returnfield>";				
+	queryString += "<returnfield>/entity/property[@name=\'entityId\']/@value</returnfield>";
 	
 	queryString += "<querygroup operator='INTERSECT'>";	
 	
@@ -90,6 +90,15 @@
 		pathExpr += "<value>" + sfElement.value + "</value>";
 		pathExpr += "<pathexpr>property/property/configure</pathexpr>";
 		pathExpr += "</queryterm>"; 		
+	} else if (sfElement.name == 'workflow-lsid') {
+		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
+		pathExpr += "<value>workflowLSID</value>";
+		pathExpr += "<pathexpr>property/property/@name</pathexpr>";
+		pathExpr += "</queryterm>"; 
+		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
+		pathExpr += "<value>" + sfElement.value + "</value>";
+		pathExpr += "<pathexpr>property/property/@value</pathexpr>";
+		pathExpr += "</queryterm>";		
 	} else if (sfElement.name == 'workflow-run-id') {
 		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
 		pathExpr += "<value>" + sfElement.value + "</value>";
Index: lib/style/common/scheduledWorkflowResultset.xsl
===================================================================
--- lib/style/common/scheduledWorkflowResultset.xsl	(nonexistent)
+++ lib/style/common/scheduledWorkflowResultset.xsl	(revision 4966)
@@ -0,0 +1,93 @@
+<?xml version="1.0"?>
+<!--
+	*  '$RCSfile$'
+	*      Authors: Matt Jones, CHad Berkley
+	*    Copyright: 2009 Regents of the University of California and the
+	*               National Center for Ecological Analysis and Synthesis
+	*  For Details: http://www.nceas.ucsb.edu/
+	*
+	*   '$Author: leinfelder $'
+	*     '$Date: 2009-04-02 14:20:05 -0800 (Thu, 02 Apr 2009) $'
+	* '$Revision: 4893 $'
+	*
+	* This program is free software; you can redistribute it and/or modify
+	* it under the terms of the GNU General Public License as published by
+	* the Free Software Foundation; either version 2 of the License, or
+	* (at your option) any later version.
+	*
+	* This program is distributed in the hope that it will be useful,
+	* but WITHOUT ANY WARRANTY; without even the implied warranty of
+	* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+	* GNU General Public License for more details.
+	*
+	* You should have received a copy of the GNU General Public License
+	* along with this program; if not, write to the Free Software
+	* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+	*
+	* This is an XSLT (http://www.w3.org/TR/xslt) stylesheet designed to
+	* convert an XML file showing the resultset of a query
+	* into an HTML format suitable for rendering with modern web browsers.
+-->
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
+
+	<xsl:output method="html" />
+	<xsl:param name="sessid" />
+	<xsl:param name="qformat">default</xsl:param>
+	<xsl:param name="enableediting">false</xsl:param>
+	<xsl:param name="contextURL"/>
+	
+	<xsl:template match="/">  
+		<div class="row row-header" >
+			<div class="col col1">Run Name</div>
+			<div class="col col2">Status</div>
+			<div class="col col3">Start Time</div>
+			<div class="col col4">Interval</div>
+			<div class="col col5">Action</div>
+		</div>	
+		<!-- div>jobs: <xsl:number value="count(scheduledWorkflowResultset/scheduledJob)" />	</div -->	
+		<!-- This tests to see if there are returned documents,
+			if there are not then don't show the query results -->
+		<xsl:if test="count(scheduledWorkflowResultset/scheduledJob) &gt; 0">
+			<xsl:for-each select="scheduledWorkflowResultset/scheduledJob">
+				<div>
+					<xsl:attribute name="class">
+						<xsl:choose>
+							<xsl:when test="position() mod 2 = 1">row row-odd</xsl:when>
+							<xsl:when test="position() mod 2 = 0">row row-even</xsl:when>
+						</xsl:choose>
+					</xsl:attribute>
+
+					<div class="col col1">	
+						<xsl:value-of select='./name' />		
+					</div>
+					<div class="col col2">	
+						<xsl:value-of select='./status' />		
+					</div>
+					<div class="col col3">	
+						<xsl:value-of select='./startTime' />		
+					</div>
+					<div class="col col4">	
+						<xsl:value-of select='./intervalValue' /><xsl:value-of select='./intervalUnit' /> 		
+					</div>
+					<div class="col col5">	
+						<a>
+							<xsl:choose>
+							<xsl:when test="./status = 'scheduled'">
+								<xsl:attribute name="class">underlined</xsl:attribute>
+								<xsl:attribute name="href"><xsl:value-of select='$contextURL' />/metacat?action=unscheduleWorkflow&amp;workflowjobid=<xsl:value-of select='./name' />&amp;workflowname=<xsl:value-of select='./jobParam[@name=&apos;workflowname&apos;]/value' />&amp;qformat=<xsl:value-of select='$qformat' />&amp;forwardto=scheduleWorkflowRun.jsp</xsl:attribute>
+								Unschedule
+							</xsl:when>
+							<xsl:otherwise>
+								<xsl:attribute name="class">underlined</xsl:attribute>
+								<xsl:attribute name="href"><xsl:value-of select='$contextURL' />/metacat?action=rescheduleWorkflow&amp;workflowjobid=<xsl:value-of select='./name' />&amp;workflowname=<xsl:value-of select='./jobParam[@name=&apos;workflowname&apos;]/value' />&amp;qformat=<xsl:value-of select='$qformat' />&amp;forwardto=scheduleWorkflowRun.jsp</xsl:attribute>
+								Reschedule
+							</xsl:otherwise>
+							</xsl:choose>
+						</a>					 
+					</div>		
+				</div>
+			</xsl:for-each>
+		</xsl:if>
+	</xsl:template>
+
+</xsl:stylesheet>
\ No newline at end of file

Property changes on: lib/style/common/scheduledWorkflowResultset.xsl
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: lib/style/common/searchWorkflowResultset.xsl
===================================================================
--- lib/style/common/searchWorkflowResultset.xsl	(nonexistent)
+++ lib/style/common/searchWorkflowResultset.xsl	(revision 4966)
@@ -0,0 +1,96 @@
+<?xml version="1.0"?>
+<!--
+	*  '$RCSfile$'
+	*      Authors: Matt Jones, CHad Berkley
+	*    Copyright: 2009 Regents of the University of California and the
+	*               National Center for Ecological Analysis and Synthesis
+	*  For Details: http://www.nceas.ucsb.edu/
+	*
+	*   '$Author: leinfelder $'
+	*     '$Date: 2009-04-02 14:20:05 -0800 (Thu, 02 Apr 2009) $'
+	* '$Revision: 4893 $'
+	*
+	* This program is free software; you can redistribute it and/or modify
+	* it under the terms of the GNU General Public License as published by
+	* the Free Software Foundation; either version 2 of the License, or
+	* (at your option) any later version.
+	*
+	* This program is distributed in the hope that it will be useful,
+	* but WITHOUT ANY WARRANTY; without even the implied warranty of
+	* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+	* GNU General Public License for more details.
+	*
+	* You should have received a copy of the GNU General Public License
+	* along with this program; if not, write to the Free Software
+	* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+	*
+	* This is an XSLT (http://www.w3.org/TR/xslt) stylesheet designed to
+	* convert an XML file showing the resultset of a query
+	* into an HTML format suitable for rendering with modern web browsers.
+-->
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
+
+	<xsl:output method="html" />
+	<xsl:param name="sessid" />
+	<xsl:param name="qformat">default</xsl:param>
+	<xsl:param name="enableediting">false</xsl:param>
+	<xsl:param name="contextURL"/>
+	
+	<xsl:template match="/">  
+	
+		<div class="result-header-section">      
+        	<div class="result-header">TPC Workflows</div>
+        	<div class="result-header-emphasis">(<xsl:number value="count(resultset/document)" />   
+        		<xsl:if test="count(resultset/document) != 1"> items</xsl:if>
+        		<xsl:if test="count(resultset/document) = 1"> item</xsl:if>
+        	 	found)
+        	</div>
+		</div>
+		<div class="row row-header" >
+			<div class="col col1">TPC Name</div>
+			<div class="col col2">Creator</div>
+			<div class="col col3">Date Created</div>
+			<div class="col col4">Action</div>
+		</div>			
+		<!-- This tests to see if there are returned documents,
+			if there are not then don't show the query results -->
+		<xsl:if test="count(resultset/document) &gt; 0">
+			<xsl:for-each select="resultset/document">
+				<xsl:if test="./docname = 'entity'">
+					<div>
+						<xsl:attribute name="class">
+							<xsl:choose>
+								<xsl:when test="position() mod 2 = 1">row row-odd</xsl:when>
+								<xsl:when test="position() mod 2 = 0">row row-even</xsl:when>
+							</xsl:choose>
+						</xsl:attribute>
+
+						<div class="col col1">	
+							<xsl:value-of select='./param[@name="/entity/@name"]' />		
+						</div>
+						<div class="col col2">	
+							<xsl:value-of select='./param[@name="property[@name=&apos;KeplerDocumentation&apos;]/property[@name=&apos;author&apos;]/configure"]' />		
+						</div>
+						<div class="col col3">	
+							<xsl:value-of select='./updatedate' />			
+						</div>
+						<div class="col col4">	
+							<a>
+								<xsl:attribute name="class">underlined</xsl:attribute>
+								<xsl:attribute name="href">./searchWorkflowRun.jsp?workflowid=<xsl:value-of select='./param[@name="/entity/property[@name=&apos;entityId&apos;]/@value"]' /></xsl:attribute>
+									 View Runs
+							</a>
+							<span> | </span>
+							<a>
+								<xsl:attribute name="class">underlined</xsl:attribute>
+								<xsl:attribute name="href">./scheduleWorkflowRun.jsp?workflowid=<xsl:value-of select='./param[@name="/entity/property[@name=&apos;entityId&apos;]/@value"]' />&amp;karid=<xsl:value-of select='./param[@name="/entity/property[@name=&apos;karLSID&apos;]/@value"]' />&amp;workflowname=<xsl:value-of select='./param[@name="/entity/@name"]' /></xsl:attribute>	 
+									 Schedule
+							</a> 
+						</div>		
+					</div>
+				</xsl:if>
+			</xsl:for-each>
+		</xsl:if>
+	</xsl:template>
+
+</xsl:stylesheet>
\ No newline at end of file

Property changes on: lib/style/common/searchWorkflowResultset.xsl
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:mergeinfo
## -0,0 +0,0 ##
Index: lib/style/common/scheduleWorkflowRunSection.jsp
===================================================================
--- lib/style/common/scheduleWorkflowRunSection.jsp	(nonexistent)
+++ lib/style/common/scheduleWorkflowRunSection.jsp	(revision 4966)
@@ -0,0 +1,112 @@
+<%@ page    language="java" %>
+<%
+/*
+*  '$RCSfile$'
+*    Copyright: 2009 Regents of the University of California and the
+*               National Center for Ecological Analysis and Synthesis
+*
+*   '$Author: daigle $'
+*     '$Date: 2008-07-06 21:25:34 -0700 (Sun, 06 Jul 2008) $'
+* '$Revision: 4080 $'
+*
+* This program is free software; you can redistribute it and/or modify
+* it under the terms of the GNU General Public License as published by
+* the Free Software Foundation; either version 2 of the License, or
+* (at your option) any later version.
+*
+* This program is distributed in the hope that it will be useful,
+* but WITHOUT ANY WARRANTY; without even the implied warranty of
+* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+* GNU General Public License for more details.
+*
+* You should have received a copy of the GNU General Public License
+* along with this program; if not, write to the Free Software
+* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+*/
+%>
+<%@ include file="common-settings.jsp"%>
+<%@ include file="configure-check.jsp"%>
+
+<html>
+    <head>
+        <title>TPC Report Search Section</title>
+        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/widgets/simple-calendar-widgit.js"></script>
+        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/widgets/form-fields-widget.js"></script>
+        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/prototype-1.5.1.1/prototype.js"></script>
+        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/ajax-utils.js"></script>
+        <script language="JavaScript" type="text/JavaScript" src="<%=STYLE_COMMON_URL%>/scheduleWorkflow.js"></script>
+        
+    </head>
+    <body onload="getWorkflowRunSection('<%=SERVLET_URL%>','<%=request.getParameter("workflowid")%>','<%=request.getParameter("workflowname")%>','workflow-run-content')">    
+    	<div class=content-section>  
+    	    <div class="content-subsection" id="workflow-summary-section"> 
+				<div class="result-header-emphasis">Workflow Summary</div> 
+    			<div class="form-input-row" id="form-base-row">
+    				<div class="summary-field" id='workflow-name-label' >Name: </div>  
+<%
+					if (request.getParameter("workflowname") != null) {
+%>
+						<div class="summary-value" id='workflow-name-value' ><%=request.getParameter("workflowname")%></div>
+<%
+					}
+%>	  
+					<br>
+					<div class="summary-field" id='workflow-lsid-label' >LSID: </div>  
+<%
+					if (request.getParameter("workflowid") != null) {
+%>
+						<div class="summary-value" id='workflow-lsid-value' ><%=request.getParameter("workflowid")%></div>
+<%
+					}
+%>	  
+				</div>
+			</div>
+			<div class="content-subsection" id="schedule-section">   
+    			<div class="result-header-emphasis">Schedule Workflow </div> 
+        		<form action="<%=SERVLET_URL%>" name="workflowScheduler" id="workflowScheduler">
+					<input name="qformat" value="sanparks" type="hidden" />
+					<input name="action" value="scheduleWorkflow" type="hidden" />  
+					<input name="forwardto" value="scheduleWorkflowRun.jsp" type="hidden" /> 
+<%
+					if (request.getParameter("workflowid") != null) {
+%>
+						<input name='jobparam_workflowid' value='<%=request.getParameter("workflowid")%>' type='hidden' />
+<%
+					}
+					if (request.getParameter("karid") != null) {
+%>
+						<input name='jobparam_karid' value='<%=request.getParameter("karid")%>' type='hidden' />
+<%
+					}
+					if (request.getParameter("workflowname") != null) {
+%>
+						<input name='jobparam_workflowname' value='<%=request.getParameter("workflowname")%>' type='hidden' />
+<%
+					}
+%>	  		 
+					<div class="form-input-row">
+						<div class="field-label" id='start-time-label' >Start Time: </div>  
+						<input class="date-input" name='starttime' id='starttime' /> 
+						<div class="field-suffix"> (mm/dd/yyyy hh:mm:ss z)</div>
+					</div>
+					<div class="form-input-row">
+						<div class="field-label" id='interval-label' >Interval: </div>  
+						<input class="int-input" name='intervalvalue' id='intervalvalue' /> 
+						<select class="dropdown-input" name='intervalunit'>
+							<option name="seconds" value="s">seconds</option>
+							<option name="minutes" value="m">minutes</option>
+							<option name="hours" value="h">hours</option>
+							<option name="days" value="d">days</option>
+						</select>
+					</div>
+					<br> <br>     		
+        			<input class="submit-button" value="Schedule" type="submit"> 
+        		</form>
+			</div>		
+			<div class="content-subsection" id="workflow-run-section"> 
+				<div class="result-header-emphasis">Workflow Run Schedule</div> 
+    			<div class="workflow-run-content" id="workflow-run-content"></div>
+			</div>
+        </div>
+    </body>
+</html>
Index: lib/style/common/ajax-utils.js
===================================================================
--- lib/style/common/ajax-utils.js	(nonexistent)
+++ lib/style/common/ajax-utils.js	(revision 4966)
@@ -0,0 +1,47 @@
+ /*
+  *   '$RCSfile$'
+  *     Purpose: Default style sheet for KNP project web pages 
+  *              Using this stylesheet rather than placing styles directly in 
+  *              the KNP web documents allows us to globally change the 
+  *              formatting styles of the entire site in one easy place.
+  *   Copyright: 2009 Regents of the University of California and the
+  *               National Center for Ecological Analysis and Synthesis
+  *     Authors: Matt Jones
+  *
+  *    '$Author: daigle $'
+  *      '$Date: 2008-07-06 21:25:34 -0700 (Sun, 06 Jul 2008) $'
+  *  '$Revision: 4080 $'
+  *
+  * This program is free software; you can redistribute it and/or modify
+  * it under the terms of the GNU General Public License as published by
+  * the Free Software Foundation; either version 2 of the License, or
+  * (at your option) any later version.
+  *
+  * This program is distributed in the hope that it will be useful,
+  * but WITHOUT ANY WARRANTY; without even the implied warranty of
+  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+  * GNU General Public License for more details.
+  *
+  * You should have received a copy of the GNU General Public License
+  * along with this program; if not, write to the Free Software
+  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+  */
+ 
+function submitFormIntoDiv(url, formId, divId) {
+	//alert('Sending form: ' + formId + " to url: " + url);
+	var formObj = document.getElementById(formId);
+
+	var myRequest = new Ajax.Updater(divId, url,
+		{	method: 'post',
+			parameters: Form.serialize(formObj),
+		});
+}
+
+function submitUrlIntoDiv(url, divId) {
+	//alert('Sending url: ' + url);
+
+	var myRequest = new Ajax.Updater(divId, url,
+		{	method: 'get'
+		});
+}
+  
\ No newline at end of file
Index: lib/style/common/searchWorkflowRun.js
===================================================================
--- lib/style/common/searchWorkflowRun.js	(nonexistent)
+++ lib/style/common/searchWorkflowRun.js	(revision 4966)
@@ -0,0 +1,127 @@
+/*
+ * Generate a workflow query string.  this assumes that search fields meet the
+ * following criteria in the web page:
+ * -- search input fields have an ID that starts with sf_ 
+ * -- the search input field name is the xpath of the value to search
+ * -- if there is a search mode dropdown for an input field in the form, it's ID 
+ *    should use the same convention as the input field, but start with sm_
+ *    (i.e. the search mode input for the sf_firstname input would be sm_firstname) 
+ * -- the value 
+ */
+ 
+function setWorkflowQueryFormField(formId) {
+	var queryString = ""; 
+	queryString += "<pathquery version='1.2'>";
+	queryString += "<returndoctype>property</returndoctype>";
+	queryString += "<returndoctype>-//UC Berkeley//DTD MoML 1//EN</returndoctype>";
+	queryString += "<returnfield>/property[@name=\'WorkflowRun\']/property[@name=\'user\']/@value</returnfield>";
+	queryString += "<returnfield>/property[@name=\'WorkflowRun\']/property[@name=\'description\']/@value</returnfield>";
+	queryString += "<returnfield>/property[@name=\'WorkflowRun\']/property[@name=\'startTime\']/@value</returnfield>";
+	queryString += "<returnfield>/property[@name=\'WorkflowRun\']/property[@name=\'workflowLSID\']/@value</returnfield>";
+	queryString += "<returnfield>/property[@name=\'WorkflowRun\']/property[@name=\'status\']/@value</returnfield>";
+	queryString += "<returnfield>/property[@name=\'WorkflowRun\']/property[@name=\'workflowName\']/@value</returnfield>";
+	queryString += "<returnfield>/property[@name=\'WorkflowRun\']/property[@name=\'pdfReport\']/@value</returnfield>";
+	queryString += "<returnfield>/property[@name=\'WorkflowRun\']/property[@name=\'htmlReport\']/@value</returnfield>";
+	queryString += "<returnfield>/property[@name=\'WorkflowRun\']/property[@name=\'karLSID\']/@value</returnfield>";
+	queryString += "<returnfield>/property[@name=\'WorkflowRun\']/property[@name=\'ReportInstance0\']/@value</returnfield>";
+	
+	queryString += "<querygroup operator='INTERSECT'>";	
+	
+	var elementList = document.getElementById(formId).elements;
+	for(var i = 0; i < elementList.length; i++) {
+	//alert("form element: " + elementList[i].id);
+		if((elementList[i].id.indexOf("sf-") == 0) && (elementList[i].value != '')) {					
+			queryString += getQueryTerm(elementList[i]);
+		}
+	} 
+	
+	queryString += "</querygroup>";	
+	queryString += "</pathquery>";
+	
+	//alert(queryString);
+	
+	var queryField = document.getElementById("query");
+	
+	queryField.value = queryString;
+}
+
+function getQueryTerm(sfElement) {
+	var baseId = sfElement.id.substring(3, sfElement.id.length);		
+	var searchMode = "contains";
+	var selector = document.getElementById("sm-" + baseId);
+	if (selector != null) {
+		searchMode = selector.value;
+	}
+	
+	var pathExpr = '';
+	if (sfElement.name == 'name') {
+		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
+		pathExpr += "<value>" + sfElement.value + "</value>";
+		pathExpr += "<pathexpr>entity/@name</pathexpr>";
+		pathExpr += "</queryterm>"; 		
+	} else if (sfElement.name == 'keyword') {
+		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
+		pathExpr += "<value>" + sfElement.value + "</value>";
+		pathExpr += "<pathexpr>property/@value</pathexpr>";
+		pathExpr += "</queryterm>"; 		
+	} else if (sfElement.name == 'creator') {
+		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
+		pathExpr += "<value>" + sfElement.value + "</value>";
+		pathExpr += "<pathexpr>property/property/configure</pathexpr>";
+		pathExpr += "</queryterm>"; 		
+	} else if (sfElement.name == 'description') {
+		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
+		pathExpr += "<value>" + sfElement.value + "</value>";
+		pathExpr += "<pathexpr>property/property/configure</pathexpr>";
+		pathExpr += "</queryterm>"; 		
+	} else if (sfElement.name == 'date-created') {
+		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
+		pathExpr += "<value>" + sfElement.value + "</value>";
+		pathExpr += "<pathexpr>property/property/configure</pathexpr>";
+		pathExpr += "</queryterm>"; 		
+	} else if (sfElement.name == 'date-executed') {
+		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
+		pathExpr += "<value>" + sfElement.value + "</value>";
+		pathExpr += "<pathexpr>property/property/configure</pathexpr>";
+		pathExpr += "</queryterm>"; 		
+	} else if (sfElement.name == 'workflow-id') {
+		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
+		pathExpr += "<value>" + sfElement.value + "</value>";
+		pathExpr += "<pathexpr>property/property/configure</pathexpr>";
+		pathExpr += "</queryterm>"; 		
+	} else if (sfElement.name == 'workflow-lsid') {
+		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
+		pathExpr += "<value>workflowLSID</value>";
+		pathExpr += "<pathexpr>property/property/@name</pathexpr>";
+		pathExpr += "</queryterm>"; 
+		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
+		pathExpr += "<value>" + sfElement.value + "</value>";
+		pathExpr += "<pathexpr>property/property/@value</pathexpr>";
+		pathExpr += "</queryterm>";		
+	} else if (sfElement.name == 'workflow-run-id') {
+		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
+		pathExpr += "<value>" + sfElement.value + "</value>";
+		pathExpr += "<pathexpr>property/property/configure</pathexpr>";
+		pathExpr += "</queryterm>"; 		
+	} else if (sfElement.name == 'status') {
+		pathExpr += "<queryterm casesensitive='false' searchmode='" + searchMode + "'>";
+		pathExpr += "<value>" + sfElement.value + "</value>";
+		pathExpr += "<pathexpr>property/property/configure</pathexpr>";
+		pathExpr += "</queryterm>"; 		
+	} 
+	
+	//alert("returning path expression: " + pathExpr);
+	return pathExpr;
+}
+
+function getResultsSection(url, formId, divId) {
+	var submitResults = submitFormIntoDiv(url, formId, divId);
+}
+
+function showWorkflowRuns(workflowId, workflowRunPage) {
+	url = document.URL + '/../' + workflowRunPage + '?workflowid=' + workflowId;
+	//alert('new url: ' + url);
+	window.location = url;
+}
+
+	

Property changes on: lib/style/common/searchWorkflowRun.js
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Index: lib/style/common/searchWorkflowRunResultset.xsl
===================================================================
--- lib/style/common/searchWorkflowRunResultset.xsl	(nonexistent)
+++ lib/style/common/searchWorkflowRunResultset.xsl	(revision 4966)
@@ -0,0 +1,104 @@
+<?xml version="1.0"?>
+<!--
+	*  '$RCSfile$'
+	*      Authors: Matt Jones, CHad Berkley
+	*    Copyright: 2009 Regents of the University of California and the
+	*               National Center for Ecological Analysis and Synthesis
+	*  For Details: http://www.nceas.ucsb.edu/
+	*
+	*   '$Author: leinfelder $'
+	*     '$Date: 2009-04-02 14:20:05 -0800 (Thu, 02 Apr 2009) $'
+	* '$Revision: 4893 $'
+	*
+	* This program is free software; you can redistribute it and/or modify
+	* it under the terms of the GNU General Public License as published by
+	* the Free Software Foundation; either version 2 of the License, or
+	* (at your option) any later version.
+	*
+	* This program is distributed in the hope that it will be useful,
+	* but WITHOUT ANY WARRANTY; without even the implied warranty of
+	* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+	* GNU General Public License for more details.
+	*
+	* You should have received a copy of the GNU General Public License
+	* along with this program; if not, write to the Free Software
+	* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+	*
+	* This is an XSLT (http://www.w3.org/TR/xslt) stylesheet designed to
+	* convert an XML file showing the resultset of a query
+	* into an HTML format suitable for rendering with modern web browsers.
+-->
+<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
+
+	<xsl:output method="html" />
+	<xsl:param name="sessid" />
+	<xsl:param name="qformat">default</xsl:param>
+	<xsl:param name="enableediting">false</xsl:param>
+	<xsl:param name="contextURL"/>
+	
+	<xsl:template match="/">  
+		<div class="result-header-section">      
+        	<div class="result-header">TPC Workflow Runs</div>
+        	<div class="result-header-emphasis">(<xsl:number value="count(resultset/document)" />
+				<xsl:if test="count(resultset/document) != 1"> items</xsl:if>
+        		<xsl:if test="count(resultset/document) = 1"> item</xsl:if> 
+        		found)
+        	</div>
+		</div>
+		<div class="row row-header" >
+			<div class="col col1">TPC Workflow Name</div>
+			<div class="col col2">Status</div>
+			<div class="col col3">Date Executed</div>
+			<div class="col col4">Available Reports</div>
+		</div>			
+		<!-- This tests to see if there are returned documents,
+			if there are not then don't show the query results -->
+		<xsl:if test="count(resultset/document) &gt; 0">
+			<xsl:for-each select="resultset/document">
+				<div>
+					<xsl:attribute name="class">
+						<xsl:choose>
+							<xsl:when test="position() mod 2 = 1">row row-odd</xsl:when>
+							<xsl:when test="position() mod 2 = 0">row row-even</xsl:when>
+						</xsl:choose>
+					</xsl:attribute>
+
+					<div class="col col1">	
+						<xsl:value-of select='./param[@name="/property[@name=&apos;WorkflowRun&apos;]/property[@name=&apos;workflowName&apos;]/@value"]' />		
+					</div>
+					<div class="col col2">	
+						<xsl:choose>
+						<xsl:when  test="not(./param[@name=&quot;/property[@name=&apos;WorkflowRun&apos;]/property[@name=&apos;status&apos;]/@value&quot;])" >
+							unknown
+						</xsl:when>
+						<xsl:otherwise>
+							<xsl:value-of select='./param[@name="/property[@name=&apos;WorkflowRun&apos;]/property[@name=&apos;status&apos;]/@value"]' />	
+						</xsl:otherwise>
+						</xsl:choose>
+					</div>
+					<div class="col col3">	
+						<xsl:value-of select='./param[@name="/property[@name=&apos;WorkflowRun&apos;]/property[@name=&apos;startTime&apos;]/@value"]' />		
+					</div>
+					<div class="col col4">	
+						<a>
+							<xsl:attribute name="class">underlined</xsl:attribute>
+							<xsl:attribute name="href">
+								<xsl:value-of select='$contextURL' />/metacat?action=read&amp;docid=<xsl:value-of select='./param[@name="/property[@name=&apos;WorkflowRun&apos;]/property[@name=&apos;karLSID&apos;]/@value"]' />&amp;archiveEntryName=<xsl:value-of select='./param[@name="/property[@name=&apos;WorkflowRun&apos;]/property[@name=&apos;ReportInstance0&apos;]/@value"]' />
+							</xsl:attribute>
+							PDF
+						</a> 
+						<!--  | 
+						<a>
+							<xsl:attribute name="class">underlined</xsl:attribute>
+							<xsl:attribute name="href">
+								<xsl:value-of select='$contextURL' />/metacat?action=read&amp;docid=<xsl:value-of select='./param[@name="property[@name=&apos;KeplerDocumentation&apos;]/property[@name=&apos;archiveName&apos;]/configure"]' />&amp;archiveEntryName=<xsl:value-of select='./param[@name="property[@name=&apos;KeplerDocumentation&apos;]/property[@name=&apos;htmlReport&apos;]/configure"]' />
+							</xsl:attribute>
+							HTML
+						</a --> 							 
+					</div>		
+				</div>
+			</xsl:for-each>
+		</xsl:if>
+	</xsl:template>
+
+</xsl:stylesheet>
\ No newline at end of file

Property changes on: lib/style/common/searchWorkflowRunResultset.xsl
___________________________________________________________________
Added: svn:executable
## -0,0 +1 ##
+*
\ No newline at end of property
Added: svn:mergeinfo
## -0,0 +0,0 ##
Index: lib/style/common/widgets/form-fields-widget.js
===================================================================
--- lib/style/common/widgets/form-fields-widget.js	(revision 4965)
+++ lib/style/common/widgets/form-fields-widget.js	(revision 4966)
@@ -29,16 +29,6 @@
 
 var lastInputIndex = 0;
  
-function submitFormIntoDiv(url, formId, divId) {
-	//alert('Sending form: ' + formId + " to url: " + url);
-	var formObj = document.getElementById(formId);
-
-	var myRequest = new Ajax.Updater(divId, url,
-		{	method: 'post',
-			parameters: Form.serialize(formObj),
-		});
-}
- 
 function getSearchModeList(searchModeString) {
 	var abbrevArray = searchModeString.split('|');
 	var smArray = new Array();

Property changes on: lib/style/common/widgets/form-fields-widget.js
___________________________________________________________________
Added: svn:mergeinfo
## -0,0 +0,0 ##
Index: lib/metacat.properties
===================================================================
--- lib/metacat.properties	(revision 4965)
+++ lib/metacat.properties	(revision 4966)
@@ -390,6 +390,9 @@
 # Interval (in milliseconds) between rebuilding the sitemap
 sitemap.interval=86400000
 
+######## Workflow engine section              #########################################
+executionEngine.endPointAddress=http://chico1.dyndns.org/axis2/services/KeplerWebService
+
 ######## junit test section  ################
 
 test.printdebug=true
